#include <iostream>

using namespace std;

int main()
{
    int brTestova;
    cin >> brTestova;
	for (int i = 0; i < brTestova; i++)
	{
		int brUcenika;
		int brKremBananica;
		int brGrupa;
		cin >> brUcenika;
		cin >> brKremBananica;
		cin >> brGrupa;
		int clanovaPoGrupi = brUcenika / brGrupa;
		int prekoracenje = brUcenika % brGrupa;
		if((clanovaPoGrupi*(clanovaPoGrupi+1))/2 *(brGrupa - prekoracenje) + ((clanovaPoGrupi+1)*(clanovaPoGrupi+1+1))/2 * prekoracenje  <= brKremBananica)
		{
		   cout<<"Tak"<<endl;
		}
		else
		{
		     
		    cout<<"Nie"<<endl;
		}   	
	}
}